For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Create tokenDev Discord
  • Get started
    • Introduction
    • Authentication
    • API Privacy
    • Exceptions
    • Dev Discord
  • Modules
  • Changelog
    • v3.7.2 - OAuth2
    • v3.7.1
    • v3.7
    • v3.6 - Fruma Expansion
    • v3.5.2
    • v3.5.1
    • v3.5 - User System
    • v3.4
    • v3.3.4
    • v3.3.3
    • v3.3.2
    • v3.3.1
    • v3.3 - Rekindled World
    • v3.2.5
    • v3.2.4
    • v3.2.3
    • v3.2.2
    • v3.2.1
    • v3.2
    • v3.1
    • v3.0
LogoLogoWynncraft API - Documentation
Create tokenDev Discord
On this page
  • Related endpoints
  • OAuth2
  • GET /oauth/me and POST /oauth/token
  • Recipes
  • GET /item/recipe/database and POST /item/recipe/search
  • Guild territories
  • GET /guild/list/territory
  • Guild member raid stats
  • GET /guild/{query}, GET /guild/prefix/{query} and GET /guild/uuid/{query}
  • Guild seasons
  • GET /guild/seasons
  • GET /leaderboards/{lb_type}
  • Publisher articles
  • GET /publisher/articles/fetch/{article_type}/{pk} and GET /publisher/articles/list/{article_type}
  • Map
  • GET /map/world-events
  • GET /map/camps and GET /map/raids
  • GET /map/loot-pools
  • GET /map/gathering-nodes
Changelog

v3.7.2

Was this page helpful?
Edit this page
Previous

Get legacy news

Next

v3.7.1

Built with

Related endpoints

  • GET /oauth/me
  • POST /oauth/token
  • GET /item/recipe/database
  • POST /item/recipe/search
  • GET /guild/list/territory
  • GET /guild/{query}
  • GET /guild/prefix/{query}
  • GET /guild/uuid/{query}
  • GET /guild/seasons
  • GET /leaderboards/{lb_type}
  • GET /publisher/articles/fetch/{article_type}/{pk}
  • GET /publisher/articles/list/{article_type}
  • GET /map/world-events
  • GET /map/camps
  • GET /map/raids
  • GET /map/loot-pools
  • GET /map/gathering-nodes

v3.7.2 introduces public OAuth2 support, recipe endpoints, expanded guild territory payloads, guild season data, new map data routes, and publisher poll article documentation.

OAuth2

GET /oauth/me and POST /oauth/token

  • Added the public OAuth2 routes.
  • Added the authorization code token exchange flow.
  • Added support for PKCE with S256.
  • OAuth2 access-rule bypass only applies to the authorizing user’s own linked profiles when the user granted the relevant scopes.

To get started with OAuth2:

  • Creating an application
  • Authorizing an application
  • Use application’s access tokens
  • OAuth2 Quirks

Recipes

GET /item/recipe/database and POST /item/recipe/search

  • Added the recipe database endpoint.
  • Added recipe search with support for exact values, partial name search, and numeric range filters.
  • Added ?full_result for both recipe endpoint to bypass pagination

Guild territories

GET /guild/list/territory

  • Added hq to the nested guild object.
  • Added hq, resources, links, treasury, and defences to each territory entry.
  • To not make these additions unfair, the resources field updates every minute, while the rest of the territory payload keeps the existing 10 second cache cycle. Note that we may tweak this more strictly if abused.

Guild member raid stats

GET /guild/{query}, GET /guild/prefix/{query} and GET /guild/uuid/{query}

  • Added currentGuildRaids to guild member stats for raids completed while the player was in the current guild.
  • guildRaids now represents the member’s total guild raids across every guild.

Guild seasons

GET /guild/seasons

  • Added a public guild seasons endpoint.
  • The response is keyed by season name.
  • Each season includes territoryHoldingSrPerHour, srPerWar, ratingRewards, and leaderboardRewards.

GET /leaderboards/{lb_type}

  • Added guild season leaderboard types.
  • Guild season leaderboard types are dynamic and use the guildSeason... format returned by GET /leaderboards/types, such as guildSeason32.
  • Guild season leaderboard entries include metadata.seasonName and metadata.position.

Publisher articles

GET /publisher/articles/fetch/{article_type}/{pk} and GET /publisher/articles/list/{article_type}

  • Added poll as a public article type.
  • Poll articles can include question content blocks where content is a structured object instead of a plain string.
  • Poll article payloads can now include poll_settings, poll_public, and votes.

Map

GET /map/world-events

  • Added public world event metadata.
  • Added schedule, which returns the next visible run as an ISO timestamp.
  • The schedule visibility window is currently 15 minutes.
  • schedule is null when no run falls inside that visibility window.
  • Added rewardPerLevel, requirements, and per-spot location data for each event.

GET /map/camps and GET /map/raids

  • Added public camp and raid map endpoints.
  • Both responses include static metadata plus preview rewards.
  • Raids supports the optional level query parameter to preview rewards at a specific level.
  • Each entry includes name, internalName, type, lore, difficulty, level, length, requirements, location, and rewards.

GET /map/loot-pools

  • Added combined loot-pool previews for map camps and raids.
  • Added the optional level query parameter to preview rewards at a specific level.
  • The response only includes fields: name, internalName, type, and rewards.
  • In each reward, always indicates that the reward is granted automatically without player action.
  • When level is provided, the API uses the highest available preview threshold that does not exceed the requested value.

GET /map/gathering-nodes

  • Added public gathering node positions used by the web map.
  • Each node includes coordinates, angle, type, resource, and level.
  • type distinguishes standard node placements from wall and corner placements.